"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationStatus = async (pool, {
  statusAndData,
  lastEvent,
  iterator
}) => {
  const {
    executeQuery,
    escapeId,
    escape
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  await executeQuery(`UPDATE ${escapeId(replicationStateTableName)} 
    SET
      "Status" = ${escape(statusAndData.status)},
      "StatusData" = ${statusAndData.data != null ? escape(JSON.stringify(statusAndData.data)) : 'NULL'}
      ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``}
      ${iterator !== undefined ? `, "Iterator" = ${iterator != null ? escape(JSON.stringify(iterator)) : 'NULL'}` : ``}`);
};

var _default = setReplicationStatus;
exports.default = _default;
//# sourceMappingURL=set-replication-status.js.map